Attribute VB_Name = "modMain"
'
' Copyright (c) 1999-2001 by Christian Lemke
'
' Verffentlicht unter der GNU General Public License !!!
' Nheres siehe in der Datei gpl_de.txt (inoffizielle dt. bersetzung)
' bzw. gpl_eng.txt (offizielles Dokument in Englisch) !!!
'
'
' Bei Fragen oder Bugs (Fehlern) wenden sich sich bitte an:
'
'   E-Mail: support@chlhp.de
'      WWW: http://www.chlhp.de
'
Option Explicit
Public Declare Function RegCloseKey Lib "advapi32.dll" (ByVal Hkey As Long) As Long
Public Declare Function RegDeleteValue Lib "advapi32.dll" Alias "RegDeleteValueA" (ByVal Hkey As Long, ByVal lpValueName As String) As Long
Public Declare Function RegOpenKeyEx Lib "advapi32.dll" Alias "RegOpenKeyExA" (ByVal Hkey As Long, ByVal lpSubKey As String, ByVal ulOptions As Long, ByVal samDesired As Long, phkResult As Long) As Long
Public Declare Function RegQueryValueEx Lib "advapi32.dll" Alias "RegQueryValueExA" (ByVal Hkey As Long, ByVal lpValueName As String, ByVal lpReserved As Long, lpType As Long, lpData As Any, lpcbData As Long) As Long         ' Note that if you declare the lpData parameter as String, you must pass it By Value.
Public Declare Function RegSetValueEx Lib "advapi32.dll" Alias "RegSetValueExA" (ByVal Hkey As Long, ByVal lpValueName As String, ByVal Reserved As Long, ByVal dwType As Long, lpData As Any, ByVal cbData As Long) As Long         ' Note that if you declare the lpData parameter as String, you must pass it By Value.

Public Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long

Public Const SWP_NoMove = &H2
Public Const SWP_NoSize = &H1
Public Const HWND_TopMost = -1
Public Const HWND_NoTopMost = -2

Public Const SchlsselName = "SOFTWARE\Microsoft\Windows\CurrentVersion\Run"
Public Const HKEY_LOCAL_MACHINE = &H80000002
Public Const KEY_QUERY_VALUE = &H1
Public Const KEY_SET_VALUE = &H2
Public Const REG_SZ = 1
Public Const ERROR_SUCCESS = 0&

Type Optionen
    always_on_top As Boolean
    Version As String
End Type

Public Settings As Optionen
Public first As Boolean
Public ready As Boolean



Sub Main()
On Error GoTo Fehler:
Dim dateinummer As Integer

If App.PrevInstance = True Then
    MsgBox App.Title & " wird bereits ausgefhrt !", vbInformation, "Achtung !"
    Exit Sub
End If

Settings.Version = GetSetting(App.Title, "Optionen", "Version")
If Settings.Version <> App.Major & "." & App.Minor & "." & App.Revision Then
    first = True
    frmOptions.Show
    Do
    DoEvents
    Loop Until ready = True
End If

Settings.always_on_top = CBool(GetSetting(App.Title, "Optionen", "always_on_top"))

If InStr(StrConv(Command, vbUpperCase), "INIT") Then
    dateinummer = FreeFile
    Open App.Path & "\start.log" For Append As #dateinummer
    Print #dateinummer, WeekdayName(Weekday(Date, 0), False, 0)
    Print #dateinummer, Date
    Print #dateinummer, Time
    Close #dateinummer
    Exit Sub
End If
frmMain.Show
Exit Sub

Fehler:
Resume Next
End Sub


Sub always_on_top(hwnd As Long, enabled As Boolean)
If enabled = True Then
    SetWindowPos hwnd, HWND_TopMost, 0, 0, 0, 0, _
    SWP_NoSize + SWP_NoMove
 Else
    SetWindowPos hwnd, HWND_NoTopMost, 0, 0, 0, 0, _
    SWP_NoSize + SWP_NoMove
End If
End Sub

